/* @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap'); */
:root {
    --dark: #06021b;
    --white: #f8f8f8;
    --bgColor: #f8f8f8;
    --bgIndicator: #009bd8;
    --bgNavigation : linear-gradient(45deg, #2196f3, #e91e63);
    --widthNavigation: 400px;
    --widthNavigation: 100vw;
    --maxIndicator: 7;
    --widthIndicator: 70px;
    --marginIndicator: 0px; /* for 400px */
    --marginIndicator: 10px; /* for 500px */
    --marginIndicator: 20px; /* for 600px */
    --sizeIndicator : 70px;
    --marginIndicator: 80px;
    --marginIndicator: 20px;
}

/* * {
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
} */
/* 
body {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--white);
} */


.footerMenu * {
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
}
.footerMenu {
    position: fixed;
    bottom: 0px;
    height: auto;
    margin: auto;
}

.navigation {
    position: relative;
    /* width: 400px; */
    width: var(--widthNavigation);
    height: 70px;
    height: var(--sizeIndicator);
    background: #fff;
    background: var(--bgNavigation);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px 10px 0px 0px;
}

.navigation ul {
    display: flex;
    width: calc(var(--widthNavigation) - var(--marginIndicator))
}

.navigation ul li {
    position: relative;
    list-style: none;
    width: 70px;
    height: 70px;
    width: var(--sizeIndicator);
    height: var(--sizeIndicator);
    
    z-index: 1;
    margin: 0px calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(70px * var(--maxIndicator))) / var(--maxIndicator)) / 2);
    
    margin: 0px calc(calc(calc(calc(var(--widthNavigation) - var(--marginIndicator)) - calc(var(--sizeIndicator) * var(--maxIndicator))) / var(--maxIndicator)) / 2);
}

.navigation ul li a {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    text-align: center;
    font-weight: 500;
    cursor: pointer;
}

.navigation ul li.active a {
    cursor: none;
}

.navigation ul li a .icon {
    position: relative;
    display: block;
    line-height: 70px;
    line-height: var(--sizeIndicator);
    font-size: 1.5em;
    text-align: center;
    color: #000;
    /* transition: 0.5s; */
}

.navigation ul li a .iconAndSup {
    position: relative;
    display: block;
    line-height: 70px;
    line-height: var(--sizeIndicator);
    font-size: 1.5em;
    text-align: center;
    color: #000;
    transform: translateX(4px);
    /* transition: 0.5s; */
}

.navigation ul li.active a .icon {
    /* transform: translateY(-35px); */
    transform: translateY(calc( var(--sizeIndicator) /2 * -1));
}

.navigation ul li.active a .iconAndSup i {
    /* transform: translateX(-4px); */
    /* transform: translateY(calc( calc( (var(--sizeIndicator) /2 * -1 ) + 6px))); */
    transform: translateY(calc( var(--sizeIndicator) /2 * -1));
    /* transition: 0.5s; */
}


.navigation ul li a .iconAndSup .sup {
    /* position: absolute; */
    position: relative;
    /* position: fixed; */
    left: -16px;
    top: -8px;
    color: #ffffff;
    font-size: 0.5em;

    /* transform: translateX(-16px); */
    /* transform: translate(16px) */
    /* transform: translateY(-16px); */
}

.navigation ul li a .text {
    position: absolute;
    color: #000;
    font-weight: 400;
    font-size: 0.75em;
    letter-spacing: 0.05em;
    transform: translateY(20px);
    /* transition: 0.5s; */
    opacity: 1;
}

.navigation ul li.active a .text {
    opacity: 1;
    transform: translateY(10px);
}

.indicator {
    position: absolute;
    margin-left: calc(0px + calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(var(--sizeIndicator) * var(--maxIndicator))) / var(--maxIndicator)) / 2));
    margin-left: calc(0px + calc(calc(calc(calc(var(--widthNavigation) - var(--marginIndicator)) - calc(var(--sizeIndicator) * var(--maxIndicator))) / var(--maxIndicator)) / 2));
    
    margin-left: calc(calc(calc(calc(var(--widthNavigation) - var(--marginIndicator)) - calc(var(--sizeIndicator) * var(--maxIndicator))) / var(--maxIndicator)) / 2);
    
    top: -50%;
    width: 70px;
    height: 70px;
    width: var(--sizeIndicator);
    height: var(--sizeIndicator);
    background: #29c1fd;
    background: var(--bgIndicator);
    background: var(--bgNavigation);
    border-radius: 50%;
    border: 6px solid #000;
    border: 6px solid var(--bgColor);
    /* transition: 0.5s; */
}

.indicator::before {
    content: "";
    position: absolute;
    background: transparent;
    top: 50%;
    left: -22px;
    width: 20px;
    height: 20px;
    border-top-right-radius: 20px;
    box-shadow: 1px -10px 0 0 #000;
    box-shadow: 1px -10px 0 0 var(--bgColor);
}

.indicator::after {
    content: "";
    position: absolute;
    background: transparent;
    top: 50%;
    right: -22px;
    width: 20px;
    height: 20px;
    border-top-left-radius: 20px;
    box-shadow: -1px -10px 0 0 #000;
    box-shadow: -1px -10px 0 0 var(--bgColor);
}

#loaderScreen {
    position: fixed;
    display: flex;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    text-align: center;
    align-items: center;
    justify-content: center;
    opacity: 0.7;
    background-color: black;
    z-index: 999999;
}

loader-box {
  background: #fff;
  top: 50%;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
}

.loading-wrapper {
  width: 80px;
  height: 80px;
  border-radius: 50%;
}

.loading-wrapper .loader {
  height: 80px;
  width: 80px;
  border: 3px solid #e5e5e5;
  border-radius: 50%;
  -webkit-animation: pulse1572 1200ms ease-in-out;
  animation: pulse1572 1200ms ease-in-out;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
}

.loading-wrapper .loader .loader-inner {
  display: block;
  height: 40px;
  width: 40px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  background: linear-gradient(180deg, rgb(0, 140, 255) 0%, rgb(218, 67, 218) 100%);
  -webkit-transform-origin: 50% 50%;
  transform-origin: 50% 50%;
  border-radius: 50%;
  -webkit-animation: innerPulse934 1200ms ease-in-out;
  animation: innerPulse934 1200ms ease-in-out;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-delay: 600ms;
  animation-delay: 600ms;
  box-shadow: 0 19px 38px rgba(0, 0, 0, 0.3), 0 15px 12px rgba(0, 0, 0, 0.22);
}

@keyframes pulse1572 {
  0% {
    border: 3px solid #fff;
  }

  50% {
    border: 40px solid #fff;
  }

  100% {
    border: 3px solid #fff;
  }
}

@keyframes innerPulse934 {
  0% {
    height: 30px;
    width: 30px;
  }

  50% {
    height: 53.33333px;
    width: 53.33333px;
  }

  100% {
    height: 30px;
    width: 30px;
  }
}




/* .navigation ul li:nth-child(n).active~.indicator {
    transform: translateX(calc(70px * 0));
    transform: translateX(calc(calc(70px * calc(var(n) - 1)) + calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(70px * var(--maxIndicator))) / var(--maxIndicator)) * calc(var(n) - 1))));
} */

/* .navigation ul li:nth-child(1).active~.indicator {
    transform: translateX(calc(70px * 0));
    transform: translateX(calc(calc(70px * 0) + calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(70px * var(--maxIndicator))) / var(--maxIndicator)) * 0)));
}

.navigation ul li:nth-child(2).active~.indicator {
    transform: translateX(calc(70px * 1));
    transform: translateX(calc(calc(70px * 1) + calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(70px * var(--maxIndicator))) / var(--maxIndicator)) * 1)));
}

.navigation ul li:nth-child(3).active~.indicator {
    transform: translateX(calc(70px * 2));
    transform: translateX(calc(calc(70px * 2) + calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(70px * var(--maxIndicator))) / var(--maxIndicator)) * 2)));
}

.navigation ul li:nth-child(4).active~.indicator {
    transform: translateX(calc(70px * 3));
    transform: translateX(calc(calc(70px * 3) + calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(70px * var(--maxIndicator))) / var(--maxIndicator)) * 3)));
}

.navigation ul li:nth-child(5).active~.indicator {
    transform: translateX(calc(70px * 4));
    transform: translateX(calc(calc(70px * 4) + calc(calc(calc(calc(var(--widthNavigation) - 50px) - calc(70px * var(--maxIndicator))) / var(--maxIndicator)) * 4)));
} */